<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_InsuranceElements StructType
 * @subpackage Structs
 */
class JP_InsuranceElements extends AbstractStructBase
{
    /**
     * The InsuranceElement
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_InsuranceElement
     */
    public $InsuranceElement;
    /**
     * Constructor method for JP_InsuranceElements
     * @uses JP_InsuranceElements::setInsuranceElement()
     * @param \StructType\JP_InsuranceElement $insuranceElement
     */
    public function __construct(\StructType\JP_InsuranceElement $insuranceElement = null)
    {
        $this
            ->setInsuranceElement($insuranceElement);
    }
    /**
     * Get InsuranceElement value
     * @return \StructType\JP_InsuranceElement|null
     */
    public function getInsuranceElement()
    {
        return $this->InsuranceElement;
    }
    /**
     * Set InsuranceElement value
     * @param \StructType\JP_InsuranceElement $insuranceElement
     * @return \StructType\JP_InsuranceElements
     */
    public function setInsuranceElement(\StructType\JP_InsuranceElement $insuranceElement = null)
    {
        $this->InsuranceElement = $insuranceElement;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_InsuranceElements
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
